Christophe T.

Ingénieur système Linux

Expérience et méthodes en infrastructure Linux ou hébergements Web stables et fonctionnels.

Le marchand de sable n’a pas réussi à vous endormir ? 😩

Ne cherchez plus pendant des heures des bouts de tutoriels hasardeux ou de l’aide dans des forums pour débutants, je vous apporte une expérience (plus de 25 ans) et des méthodes en infogérance de serveurs d’hébergement web.

Comment blacklister un logiciel sous Debian/Ubuntu/Mint ?

Les conseils privés de Christophe Ti

(réservé aux personnes intéressées)

Quelles sont les mystérieuses techniques que j’utilise pour mettre en œuvre un serveur Linux Debian (ou hébergement web), fiable, performant et sécurisé, sans devoir monter la garde jour et nuit ?
(pour le savoir, inscris-toi dans le formulaire ci-contre)

Récemment, j’ai au un problème suite à une mise à jour de mon navigateur Web « Brave Browser ».

La version en faute est la 1.34.80 car le glisser-déposer ne fonctionne plus du tout, ni l’interface du navigateur, ni dans les pages web qui s’en servent.

Donc blacklister cette version précise var permettre de revenir à la version précédente tout en permettant la mise à jour si une nouvelle version apparaît.

Il faut ouvrir un terminal et s’authentifier commet root :

				
					k822@lap21:~ $ sudo su -
[sudo] Mot de passe de k822 :
root@lap21:~# 
				
			

Ensuite, on édite un nouveau fichier de configuration de apt :

				
					root@lap21:~# nano /etc/apt/preferences.d/brave.pref 
				
			

On rentre ceci dans l’éditeur, on sauvegarde (ctrl-X et on confirme avec la touche O) :

				
					Package: brave-browser
Pin: version 1.34.80
Pin-Priority: 99
				
			

On met à jour l’index des packages et on peut vérifier les priorités d’installation des différentes versions de Brave Browser :

				
					root@lap21:~# apt-cache policy brave-browser
brave-browser:
  Installé : 1.33.106
  Candidat : 1.33.106
 Table de version :
     1.34.80 99
        500 https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages
 *** 1.33.106 500
        500 https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages
        100 /var/lib/dpkg/status
     1.32.115 500
        500 https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages
     1.32.113 500
        500 https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages
     1.32.106 500
        500 https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages
     1.31.91 500
        500 https://brave-browser-apt-release.s3.brave.com stable/main amd64 Packages
				
			

La version 1.34.80 est en priorité 99 donc toutes les priorités 500 sont prises en compte.

Ensuite, on lance la mise à jour et on confirmer le downgrade :

				
					apt upgrade
				
			

Quelle est la mystérieuse ingénierie qui me permet d'obtenir un serveur Linux fiable et performant, sans devoir monter la garde jour et nuit ?